/* File: filecopy1.c -- zu Kap. 1.5.2. Programmbeispiele
   Fkt.: Kopieren der Standardeingabe zur Standardausgabe;
	 Zaehlen von Byteanzahl und Blockanzahl (BUFSIZ) */
#include <stdio.h>
/* Block- und Byteanzahl des kopierten Files */
main()
{	int bytes;
	int blocks;
	bytes = copy();
	blocks = bytes / BUFSIZ;
	if ((bytes % BUFSIZ) > 0)
		blocks = blocks + 1;
	fprintf (stderr, "%d Bloecke ; %d Bytes\n", blocks, bytes);
}

int copy()
{	int c;
	int bytes;
	bytes = 0;
	while ((c = getchar()) != (char) EOF) {
		putchar(c);
		bytes = bytes + 1;
	}
	return (bytes);
}
